CREATE TABLE `ads` (
  `id` bigint(20) NOT NULL auto_increment,
  `adname` varchar(50) NOT NULL,
  `adcode` text NOT NULL,
  `views` bigint(20) NOT NULL,
  `enabled` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;



CREATE TABLE `albitems` (
  `id` int(11) NOT NULL auto_increment,
  `alb_id` int(11) NOT NULL,
  `picture_id` int(11) NOT NULL,
  `precedence` int(11) NOT NULL default '1',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;



CREATE TABLE `albs` (
  `id` int(11) NOT NULL auto_increment,
  `albname` varchar(255) NOT NULL,
  `user_id` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;



CREATE TABLE `categories` (
  `id` bigint(20) NOT NULL auto_increment,
  `name` text,
  `desc` text NOT NULL,
  `public` tinyint(1) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;


CREATE TABLE `favorites` (
  `id` bigint(20) NOT NULL auto_increment,
  `user_id` bigint(20) NOT NULL,
  `video_id` bigint(20) NOT NULL,
  `at` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;


CREATE TABLE `linksites` (
  `id` smallint(6) NOT NULL auto_increment,
  `siteurl` varchar(150) NOT NULL,
  `linktext` varchar(100) NOT NULL,
  `desc` text NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;



CREATE TABLE `messages` (
  `id` int(11) NOT NULL auto_increment,
  `user_id` int(11) NOT NULL,
  `title` varchar(255) NOT NULL,
  `from` varchar(255) NOT NULL,
  `to` varchar(255) NOT NULL,
  `message` text NOT NULL,
  `trash` tinyint(1) NOT NULL,
  `unread` tinyint(1) NOT NULL,
  `created` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;



CREATE TABLE `pcomments` (
  `id` bigint(20) NOT NULL auto_increment,
  `comment` text NOT NULL,
  `picture_id` bigint(20) NOT NULL,
  `postedon` datetime NOT NULL,
  `abusepoints` mediumint(9) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE `pfavorites` (
  `id` bigint(20) NOT NULL auto_increment,
  `user_id` bigint(20) NOT NULL,
  `picture_id` bigint(20) NOT NULL,
  `at` datetime NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE `pictures` (
  `id` int(11) NOT NULL auto_increment,
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `updated` datetime NOT NULL default '0000-00-00 00:00:00',
  `path` varchar(255) default NULL,
  `name` varchar(255) default NULL,
  `fspath` varchar(255) default NULL,
  `type` varchar(255) default NULL,
  `size` int(11) NOT NULL default '0',
  `deleted` tinyint(4) NOT NULL default '0',
  `comment` text,
  `desc` text,
  `tags` text,
  `is_corrupted` tinyint(1) NOT NULL default '0',
  `can_comment` tinyint(1) NOT NULL default '1',
  `thumbnailpath` varchar(255) default NULL,
  `category_id` bigint(20) default NULL,
  `private` tinyint(1) NOT NULL default '0',
  `user_id` bigint(20) default NULL,
  `views` bigint(20) NOT NULL default '0',
  `abusepoints` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `path_name_idx` (`path`,`name`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;


CREATE TABLE `pls` (
  `id` int(11) NOT NULL auto_increment,
  `plsname` varchar(255) NOT NULL,
  `user_id` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;


CREATE TABLE `plsitems` (
  `id` int(11) NOT NULL auto_increment,
  `pl_id` int(11) NOT NULL,
  `video_id` int(11) NOT NULL,
  `precedence` int(11) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;


CREATE TABLE `pratings` (
  `id` bigint(20) NOT NULL auto_increment,
  `rating` enum('1','2','3','4','5') NOT NULL,
  `picture_id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;



CREATE TABLE `procomments` (
  `id` bigint(20) NOT NULL auto_increment,
  `comment` text NOT NULL,
  `profile_id` bigint(20) NOT NULL,
  `postedon` datetime default NULL,
  `abusepoints` mediumint(9) NOT NULL default '0',
  `user_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `user_id` (`user_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;


CREATE TABLE `profiles` (
  `id` bigint(20) NOT NULL auto_increment,
  `FirstName` varchar(20) default NULL,
  `LastName` varchar(20) default NULL,
  `Gender` enum('m','f') NOT NULL,
  `RelationshipStatus` enum('Single','Looking','Commited') default NULL,
  `DisplayAge` tinyint(1) default NULL,
  `AboutMe` text,
  `Website` varchar(100) default NULL,
  `Interests` text,
  `FavoriteMovies` text,
  `FavoriteMusic` text,
  `FavoriteBooks` text,
  `user_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;


CREATE TABLE `ratings` (
  `id` bigint(20) NOT NULL auto_increment,
  `rating` enum('1','2','3','4','5') NOT NULL,
  `video_id` bigint(20) NOT NULL,
  `user_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `user_id` (`user_id`),
  KEY `video_id` (`video_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;


CREATE TABLE `sitesettings` (
  `id` bigint(20) NOT NULL auto_increment,
  `SiteName` text NOT NULL,
  `SiteUrl` varchar(90) NOT NULL,
  `LocalPath` varchar(100) NOT NULL,
  `AdminEmail` varchar(75) NOT NULL,
  `AnonUploads` tinyint(1) NOT NULL,
  `AnonViews` tinyint(1) NOT NULL,
  `ActiveSlave` int(11) NOT NULL,
  `AllowUploads` tinyint(1) NOT NULL,
  `SiteEnabled` tinyint(1) NOT NULL,
  `VideoExtensions` text NOT NULL,
  `FFMPEGPath` text NOT NULL,
  `DefaultThumbNail` mediumtext NOT NULL,
  `AbuseViewThreshold` bigint(20) NOT NULL,
  `Skin` varchar(25) NOT NULL,
  `SocialTools` text NOT NULL,
  `VideoHeight` mediumint(9) NOT NULL,
  `VideoWidth` mediumint(9) NOT NULL,
  `MusicExtensions` text NOT NULL,
  `FileExtensions` text,
  `PictureExtensions` text,
  `MusicThumbNail` mediumtext NOT NULL,
  `InboxLimit` varchar(11) NOT NULL default '200',
  `LogoPath` text,
  `ImageMagicPath` text NOT NULL,
  `Pic_Soft` varchar(255) NOT NULL,
  `Flvtool2Path` text NOT NULL,
  `LighttpdStreaming` tinyint(1) NOT NULL,
  `Imgmgk_Path` text NOT NULL,
  `FFmpegaCodec` varchar(255) NOT NULL,
  `SiteMode` enum('Production','Development') NOT NULL,
  `SiteCache` enum('Enabled','Disabled') NOT NULL,
  `FFmpegArgs` varchar(255),
  `VideoUploadLimit` INT NOT NULL DEFAULT '200',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;


CREATE TABLE `slaveservers` (
  `id` bigint(20) NOT NULL auto_increment,
  `httppath` mediumtext NOT NULL,
  `ftphost` tinytext NOT NULL,
  `ftpuser` tinytext NOT NULL,
  `ftppass` tinytext NOT NULL,
  `ftpdirectory` mediumtext NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;



CREATE TABLE `users` (
  `id` bigint(20) NOT NULL auto_increment,
  `username` varchar(25) NOT NULL,
  `password` varchar(25) NOT NULL,
  `email` varchar(50) NOT NULL,
  `dob` date NOT NULL,
  `gender` enum('m','f') NOT NULL,
  `doj` datetime NOT NULL,
  `question` varchar(100) NOT NULL,
  `answer` varchar(100) NOT NULL,
  `status` enum('a','s') NOT NULL,
  `privilege` enum('user','mod','admin') NOT NULL,
  `avator` varchar(255) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1;


CREATE TABLE `vcomments` (
  `id` bigint(20) NOT NULL auto_increment,
  `comment` text NOT NULL,
  `video_id` bigint(20) NOT NULL,
  `postedon` datetime default NULL,
  `abusepoints` mediumint(9) NOT NULL default '0',
  `user_id` bigint(20) NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `user_id` (`user_id`),
  KEY `video_id` (`video_id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;


CREATE TABLE `videos` (
  `id` int(11) NOT NULL auto_increment,
  `created` datetime NOT NULL default '0000-00-00 00:00:00',
  `updated` datetime NOT NULL default '0000-00-00 00:00:00',
  `path` varchar(255) default NULL,
  `name` varchar(255) NOT NULL,
  `fspath` varchar(255) default NULL,
  `type` varchar(255) default NULL,
  `size` int(11) NOT NULL default '0',
  `deleted` tinyint(4) NOT NULL default '0',
  `comment` text,
  `desc` text,
  `tags` text,
  `is_encoded` tinyint(1) NOT NULL default '0',
  `can_comment` tinyint(1) NOT NULL default '1',
  `thumbnailpath` varchar(255) default NULL,
  `category_id` bigint(20) default NULL,
  `private` tinyint(1) NOT NULL default '0',
  `user_id` bigint(20) NOT NULL default '2',
  `views` bigint(20) NOT NULL default '0',
  `abusepoints` bigint(20) NOT NULL default '0',
  `is_embedded` tinyint(1) NOT NULL,
  `embedcode` text NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `user_id` (`user_id`),
  KEY `path` (`path`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;
